Skip to content

Get account by ID

Request

Retrieve account information and settings for the authorized account.

Security
PartnerApiKey and PartnerOAuth
Path
accountIdinteger, (int64)required

Account identifier

Example:12345
curl -i -X GET \
  https://api-docs.lobbie.com/_mock/openapi/partner/v2/account/12345 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-key: YOUR_API_KEY_HERE'

Responses

Account details

Bodyapplication/json
dobRequiredboolean

Whether date of birth is required for patients. When true, POST /patient must include dateOfBirth and PUT /patient cannot clear it (explicit null is rejected). When false, dateOfBirth is optional and can be cleared.

Example:true
idinteger, (int64)

Unique account identifier

Example:12345
namestring

Account name

Example:"Acme Dental"
Response
{ "dobRequired": true, "id": 12345, "name": "Acme Dental" }